CREATE VIEW [dbo].[ORDERPLAN] AS
SELECT  A.MANIFEST_NO INVOICE_NO,   --1
		A.SUPPLIER_CD SUPPLIER_CODE,  --2
		A.SUPPLIER_PLANT,  --3
		A.SHIPPING_DOCK,  --4
		A.COMPANY_CD COMPANY_CODE,  --5
		B.RCV_PLANT_CD RCV_PLANT_CODE,  --6
		A.DOCK_CD DOCK_CODE,  --7
		A.ORDER_NO,  --8
		A.CAR_FAMILY_CD CAR_FAMILY_CODE,  --9
		A.RE_EXPORT_CD RE_EXPORT_CODE,  --10
		B.PART_NO,  --11
		B.KANBAN_PRINT_ADDRESS KNBN_PRN_ADDRESS,  --12
		A.ORDER_TYPE,  --13
		A.ORDER_RELEASE_DT ORDER_RELEASE_DATE,  --14
		B.KANBAN_NO KNBN_NO,  --15
		B.QTY_PER_CONTAINER,  --16
		B.ORDER_QTY ORDER_PLAN_QTY,  --17
		B.ORDER_PLAN_QTY_LOT,  --18
		B.BUILD_OUT_FLAG,  --19
		B.BUILD_OUT_QTY,  --20
		B.AICO_CEPT_FLAG,  --21
		B.SUPPLIER_NAME,  --22
		B.PART_NAME PARTS_NAME,  --23
		B.ORDER_MODE,  --24
		A.SHIPPING_DT SHIPPING_DATE,  --25
		A.ARRIVAL_PLAN_DT ARRIVAL_DATE,   --26
		A.P_LANE_CD MR_GRP_CODE,  --27
		A.P_LANE_SEQ MR_ORDER_SEQ,  --28
		A.P_LANE_DT MR_DATE,  --29
		A.SUB_ROUTE_CD SR_GRP_CODE,  --30
		A.SUB_ROUTE_SEQ SR_SEQ,  --31
		A.SUB_ROUTE_DT SR_DATE, --32
		A.FST_X_DOC_CD FST_X_DOC_CODE,  --33
		A.FST_X_PLANT_CD FST_X_PLANT_CODE,  --34
		A.FST_X_SHIPPING_DOCK_CD FST_X_SHIPPING_DOCK_CODE,  --35
		A.FST_X_DOCK_ARRIVAL_DT FST_X_DOCK_ARRIVAL_DATE,  --36
		A.FST_X_DOCK_DEPART_DT FST_X_DOCK_DEPART_DATE,  --37
		A.FST_X_DOCK_ROUTE_GRP_CD FST_X_DOCK_ROUTE_GRP_CODE,  --38
		A.FST_X_DOCK_SEQ_NO,  --39
		A.FST_X_ROUTE_DT FST_ROUTE_DATE,  --40
		A.SND_X_DOC_CD SND_X_DOC_CODE,  --41
		A.SND_X_PLANT_CD SND_X_PLANT_CODE,  --42
		A.SND_X_SHIPPING_DOCK_CD SND_X_SHIPPING_DOCK_CODE,  --43
		A.SND_X_DOCK_ARRIVAL_DT SND_X_DOCK_ARRIVAL_DATE,  --44
		A.SND_X_DOCK_DEPART_DT SND_X_DOCK_DEPART_DATE,  --45
		A.SND_X_DOCK_ROUTE_GRP_CD SND_X_DOCK_ROUTE_GRP_CODE,  --46
		A.SND_X_DOCK_SEQ_NO,  --47
		A.SND_X_ROUTE_DT SND_ROUTE_DATE,  --48
		A.TRD_X_DOC_CD TRD_X_DOC_CODE,  --49
		A.TRD_X_PLANT_CD TRD_X_PLANT_CODE,  --50
		A.TRD_X_SHIPPING_DOCK_CD TRD_X_SHIPPING_DOCK_CODE,  --51
		A.TRD_X_DOCK_ARRIVAL_DT TRD_X_DOCK_ARRIVAL_DATE,  --52
		A.TRD_X_DOCK_DEPART_DT TRD_X_DOCK_DEPART_DATE,  --53
		A.TRD_X_DOCK_ROUTE_GRP_CD TRD_X_DOCK_ROUTE_GRP_CODE,  --54
		A.TRD_X_DOCK_SEQ_NO,  --55
		A.TRD_X_ROUTE_DT TRD_ROUTE_DATE,  --56
		A.MANIFEST_PRINT_POINT_CD MANIFEST_PRN_POINT_CODE,  --57
		A.MANIFEST_PRINT_DATE_PLANT MANIFEST_PRN_DATE_PLANT,  --58
		A.MANIFEST_PRINT_DATE_LOCAL MANIFEST_PRN_DATE_LOCAL,  --59
		B.KANBAN_PRINT_POINT_CD KNBN_PRN_POINT_CODE,  --60
		B.KANBAN_PRINT_DATE_PLANT KNBN_PRN_DATE_PLANT,  --61
		B.KANBAN_PRINT_DATE_LOCAL KNBN_PRN_DATE_LOCAL,  --62
		A.CONVEYANCE_ROUTE,  --63
		'' FERRY_PORT_ARRIVAL_DATE, -- was : FERRY_PORT_ARRIVAL_DATE, #NA   --64
		'' FERRY_PORT_DEPART_DATE, -- was : FERRY_PORT_DEPART_DATE, #NA  --65
		A.PRINT_FLAG,  --66
		A.PRINT_DATE,  --67
		A.RECEIVE_FLAG,  --68
		A.RECEIVE_DT RECEIVE_DATE,  --69
		A.USAGE_FLAG,  --70
		A.USAGE_DT USAGE_DATE,  --71
		A.DELETION_FLAG,  --72
		A.DELETION_DT DELETION_DATE,  --73
		A.DROP_STATUS_FLAG,  --74
		A.DROP_STATUS_DT DROP_STATUS_DATE,  --75
		0 RECEIVED_QTY,  -- was : RECEIVED_QTY,  --76
		A.ICS_FLAG SAP_FLAG,  --77
		A.ICS_DT SAP_DATE,  --78
		A.TOTAL_PAGE,  --79
		B.EKBS_FLAG,  --80
		B.EKBS_DT EKBS_DATE,  --81
		A.PAT_DP_FLAG,  --82
		A.PAT_PL_FLAG,  --83
		'' DP_DELIVERY_FLAG, -- was : DP_DELIVERY_FLAG,  --84
		'' DP_DELIVERY_DATE, -- was : DP_DELIVERY_DATE,  --85
		'' DP_DROP_STATUS_FLAG, -- was : DP_DROP_STATUS_FLAG,  --86
		'' DP_DROP_STATUS_DATE, -- was : DP_DROP_STATUS_DATE,  --87
		'' DP_RECEIVE_FLAG, -- was : DP_RECEIVE_FLAG,  --88
		'' DP_RECEIVE_DATE, -- was : DP_RECEIVE_DATE,  --89
		A.IS_ZIPED,  --90
		A.MANIFEST_NO + CAST(B.ITEM_NO AS VARCHAR) AS rowguid
 FROM [dbo].TB_R_DAILY_ORDER_PART B, [dbo].TB_R_DAILY_ORDER_MANIFEST A
WHERE B.MANIFEST_NO = A.MANIFEST_NO

